xrdgsiproxy(1)

NAME
xrdgsiproxy - generate a proxy X.509 certificate

SYNOPSIS

xrdgsiproxy [-h] [mode] [-debug] [-f [-out] file]

DESCRIPTION
The xrdgsiproxy utility displays, creates, and destroys X.509 user proxy certificates used by the grid security infrastructure (gsi) security protocol.

OPERANDS
mode
    init create proxy certificate and related proxy file
    info display content of existing proxy file
    destroy delete existing proxy file

OPTIONS
-h display help

-f [-out] file
    Non-standard location of proxy file

init mode only:

-certdir dir
    Non-standard location of directory with information about known CAs

-cert    file
    Non-standard location of certificate for which proxies are wanted

-key     file
    Non-standard location of private key to be used to sign the proxy

-bits    n
    Strength in bits of the key [default 2048]

-valid   hh:mm
    Time validity of the proxy certificate [default 12:00]

-path-length len
    Max number of descendent levels below this proxy [default 0]

NOTES
Complete HTML documentation can be found at
http://xrootd.org/doc/prod/sec_config.htm
Documentation for all components associated with xrdgsiproxy can be found at http://xrootd.org/docs.html

DIAGNOSTICS
Errors yield an error message and a non-zero exit status.

LICENSE
License terms can be displayed by typing "xrootd -H".

SUPPORT LEVEL
The xrdgsiproxy command is supported by the xrootd collaboration. Contact information can be found at
http://xrootd.org/contact.html